## opendht 1.2.1~dfsg1

=== debian/changelog ===
opendht (1.2.1~dfsg1-8) unstable; urgency=medium

  * dev package: Add library dependencies (Closes: #849561).

 -- Alexandre Viau <aviau@debian.org>  Wed, 28 Dec 2016 17:11:11 -0500

opendht (1.2.1~dfsg1-7) unstable; urgency=medium

  [ Alexandre Viau ]
  * Import Gianfranco's work (Closes: #843788).

  [ Gianfranco Costamagna ]
  * Multiarchify the package.

 -- Alexandre Viau <aviau@debian.org>  Wed, 09 Nov 2016 11:28:54 -0500

opendht (1.2.1~dfsg1-6) unstable; urgency=medium

  * libopendht-dev now breaks+replaces libopendht1 (Closes: #843680)

 -- Alexandre Viau <aviau@debian.org>  Tue, 08 Nov 2016 13:13:44 -0500

opendht (1.2.1~dfsg1-5) unstable; urgency=medium

  * Don't ship libopendht1. Debian policy allows for shipping
    only static libraries since OpenDHT's API is not stable
    enough.

 -- Alexandre Viau <aviau@debian.org>  Mon, 07 Nov 2016 13:14:31 -0500

opendht (1.2.1~dfsg1-4) unstable; urgency=medium

  * Add libopendht.shlibs.

 -- Alexandre Viau <aviau@debian.org>  Sat, 05 Nov 2016 01:00:46 -0400

opendht (1.2.1~dfsg1-3) unstable; urgency=medium

  * Remove pkg-kde-tools dependency.

 -- Alexandre Viau <aviau@debian.org>  Fri, 04 Nov 2016 16:10:56 -0400

opendht (1.2.1~dfsg1-2) unstable; urgency=medium

  * Link against argon2.

 -- Alexandre Viau <aviau@debian.org>  Fri, 04 Nov 2016 03:29:16 -0400

opendht (1.2.1~dfsg1-1) unstable; urgency=medium

  * Remove symbols file.
  * Refresh use-debian-argon2.patch.
  * Remove build_versioned_shared_library.patch.
  * Use manpage from source.

 -- Alexandre Viau <aviau@debian.org>  Wed, 29 Jun 2016 15:52:22 +0200

opendht (0.6.1~dfsg1-1) experimental; urgency=medium

  * Initial release. (Closes: #809362)

 -- Alexandre Viau <aviau@debian.org>  Mon, 27 Jun 2016 13:09:11 +0200
