=== debian/control ===
Source: opendht
Section: libs
Priority: extra
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               libgnutls28-dev,
               libmsgpack-dev (>= 1.2),
               libreadline6-dev,
               libncurses5-dev,
               libargon2-0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/savoirfairelinux/opendht
Vcs-Git: https://anonscm.debian.org/git/collab-maint/opendht.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opendht.git

Package: libopendht-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgnutls28-dev,
         libmsgpack-dev (>= 1.2),
         libreadline6-dev,
         libncurses5-dev,
         libargon2-0-dev
Provides: libopendht-dev
Breaks: libopendht1 (<< 1.2.1~dfsg1-6)
Replaces: libopendht1 (<< 1.2.1~dfsg1-6)
Multi-Arch: same
Description: Development files for the libopendht library
 OpenDHT is a C++11 distributed hash table implementation.
 Feature list:
  - Distributed shared key->value data-store
  - Clean and powerful distributed map API with storage of
    arbitrary binary values of up to 56 KB.
  - Optional public key cryptography layer providing data
    signature and encryption (using GnuTLS).
  - IPv4 and IPv6 support.
  - Python bindings.
 .
 This package contains the static library and headers.

Package: dhtnode
Architecture: any
Section: net
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: OpenDHT node binary
 OpenDHT is a C++11 distributed hash table implementation.
 Feature list:
  - Distributed shared key->value data-store
  - Clean and powerful distributed map API with storage of
    arbitrary binary values of up to 56 KB.
  - Optional public key cryptography layer providing data
    signature and encryption (using GnuTLS).
  - IPv4 and IPv6 support.
  - Python bindings.
 .
 This package contains the OpenDHT node binary.
