## opendht 1.3.5

=== debian/changelog ===
opendht (1.3.5-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Wed, 02 Aug 2017 15:41:36 -0400

opendht (1.3.4-3) unstable; urgency=medium

  * Remove unneeded multiarch.patch.

 -- Alexandre Viau <aviau@debian.org>  Sun, 02 Jul 2017 14:35:50 -0400

opendht (1.3.4-2) unstable; urgency=medium

  * dhtnode.service: restart on-failure

 -- Alexandre Viau <aviau@debian.org>  Sat, 01 Jul 2017 15:20:42 -0400

opendht (1.3.4-1) unstable; urgency=medium

  * New upstream snapshot.
  * dhtnode: include systemd service.

 -- Alexandre Viau <aviau@debian.org>  Sat, 01 Jul 2017 14:51:02 -0400

opendht (1.3.3-2) unstable; urgency=medium

  * Install CMakeFiles. (Closes: #866586)

 -- Alexandre Viau <aviau@debian.org>  Fri, 30 Jun 2017 16:03:24 -0400

opendht (1.3.3-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #866078)
  * Refresh patches.
  * Remove use-debian-argon2.patch.
  * Remove python bindings mention.
  * Bump Standards-Version to 4.0.0.
  * Build-Depend on pkg-config.

 -- Alexandre Viau <aviau@debian.org>  Tue, 27 Jun 2017 18:42:38 -0400
