=== debian/control ===
--- 
+++ 
@@ -4,12 +4,15 @@
 Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
+               dh-systemd,
+               dh-exec,
+               pkg-config,
                libgnutls28-dev,
                libmsgpack-dev (>= 1.2),
                libreadline6-dev,
                libncurses5-dev,
                libargon2-0-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/savoirfairelinux/opendht
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/opendht.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opendht.git
@@ -36,7 +39,6 @@
   - Optional public key cryptography layer providing data
     signature and encryption (using GnuTLS).
   - IPv4 and IPv6 support.
-  - Python bindings.
  .
  This package contains the static library and headers.
 
@@ -44,7 +46,8 @@
 Architecture: any
 Section: net
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         adduser
 Description: OpenDHT node binary
  OpenDHT is a C++11 distributed hash table implementation.
  Feature list:
@@ -54,6 +57,5 @@
   - Optional public key cryptography layer providing data
     signature and encryption (using GnuTLS).
   - IPv4 and IPv6 support.
-  - Python bindings.
  .
  This package contains the OpenDHT node binary.
