=== debian/changelog ===
opendht (1.5.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Alexandre Viau <aviau@debian.org>  Mon, 29 Jan 2018 21:22:43 +0000

opendht (1.5.0-2) unstable; urgency=medium

  * Move to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Thu, 28 Dec 2017 17:09:51 -0500

opendht (1.5.0-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Thu, 23 Nov 2017 19:44:27 -0500

opendht (1.4.1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use msgpack v1 API.

 -- Alexandre Viau <aviau@debian.org>  Wed, 15 Nov 2017 20:54:42 -0500

opendht (1.3.6-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Fri, 25 Aug 2017 16:44:04 -0400
