=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,18 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+# This has to be in sync with ring.
+export DEB_CXXFLAGS_MAINT_APPEND = -DMSGPACK_DEFAULT_API_VERSION=1
+
 CONFIGURE_FLAGS += -DOPENDHT_STATIC=ON
 CONFIGURE_FLAGS += -DOPENDHT_SHARED=OFF
 CONFIGURE_FLAGS += -DCMAKE_POSITION_INDEPENDENT_CODE=ON
 
 %:
-	dh $@
+	dh $@ --with=systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- ${CONFIGURE_FLAGS}
+
+override_dh_installinit:
+	echo override_dh_installinit
