=== debian/watch ===
version=3
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/opendht-$1\.tar\.gz/,\
repacksuffix=~dfsg1,\
dversionmangle=s/\~dfsg\d*$// \
  https://github.com/savoirfairelinux/opendht/tags .*/v?(\d\S*)\.tar\.gz
