## opendht 1.6.0

=== debian/changelog ===
opendht (1.6.0-1) unstable; urgency=medium

  * d/watch: exclude release candidates.
  * d/copyright: fix insecure-copyright-format-uri.

 -- Alexandre Viau <aviau@debian.org>  Tue, 27 Feb 2018 06:11:11 +0000

opendht (1.5.0-3) unstable; urgency=medium

  * Build with msgpack-c v2 API.

 -- Alexandre Viau <aviau@debian.org>  Thu, 01 Feb 2018 17:47:24 +0000
