=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: opendht
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Alexandre Viau <aviau@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160709),
                cmake,
-               dh-systemd,
                dh-exec,
                pkg-config,
                libgnutls28-dev,
@@ -14,8 +13,8 @@
                libargon2-0-dev
 Standards-Version: 4.0.0
 Homepage: https://github.com/savoirfairelinux/opendht
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/opendht.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opendht.git
+Vcs-Git: https://salsa.debian.org/debian/opendht.git
+Vcs-Browser: https://salsa.debian.org/debian/opendht
 
 Package: libopendht-dev
 Architecture: any
