=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-# This has to be in sync with ring.
-export DEB_CXXFLAGS_MAINT_APPEND = -DMSGPACK_DEFAULT_API_VERSION=1
 
 CONFIGURE_FLAGS += -DOPENDHT_STATIC=ON
 CONFIGURE_FLAGS += -DOPENDHT_SHARED=OFF
