## opendht 1.7.4

=== debian/changelog ===
opendht (1.7.4-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 18 Aug 2018 15:51:19 -0400

opendht (1.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Fix maintainer-script-should-not-use-recursive-chown-or-chmod.

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 18:08:36 -0400
