## opendht 1.7.4-1%2B8.0trisquel1

=== debian/changelog ===
opendht (1.7.4-1+8.0trisquel1) flidas; urgency=medium

  * Backported from cosmic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Oct 2018 02:49:42 +0000
