=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: opendht
 Section: libs
 Priority: optional
-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9.20160709),
                cmake,
                dh-exec,
