## opendht 1.8.1-1build3%2B9.0trisquel1

=== debian/changelog ===
opendht (1.8.1-1build3+9.0trisquel1) etiona; urgency=medium

  * Backported from focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 19 Jun 2020 23:22:47 +0000
