## opendht 2.1.6

=== debian/changelog ===
opendht (2.1.6-1) unstable; urgency=medium

  [ Amin Bandali ]
  * New upstream version.
  * Enable OpenDHT proxy features.

  [ Alexandre Viau ]
  * Rules-Requires-Root: no.

 -- Alexandre Viau <aviau@debian.org>  Sat, 10 Oct 2020 16:35:04 -0400

opendht (2.1.4-1) unstable; urgency=medium

  * New upstream version.
  * dhtnode.conf: remove -v. (Closes: #959226)

 -- Alexandre Viau <aviau@debian.org>  Sat, 15 Aug 2020 12:42:20 -0400

opendht (2.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on librestinio-dev, libasio-dev.
  * Refresh patches.

 -- Alexandre Viau <aviau@debian.org>  Sat, 16 May 2020 13:08:04 -0400
