=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 CONFIGURE_FLAGS += -DOPENDHT_STATIC=ON
 CONFIGURE_FLAGS += -DOPENDHT_SHARED=OFF
 CONFIGURE_FLAGS += -DCMAKE_POSITION_INDEPENDENT_CODE=ON
+CONFIGURE_FLAGS += -DOPENDHT_PROXY_SERVER=ON
+CONFIGURE_FLAGS += -DOPENDHT_PROXY_CLIENT=ON
+CONFIGURE_FLAGS += -DOPENDHT_PUSH_NOTIFICATIONS=ON
 
 %:
 	dh $@ --with=systemd
